#include "stdafx.h"
#include "surfacedatalayer.h"

CSurfaceDataLayer::CSurfaceDataLayer( const DWORD indwMaterialID, const DWORD indwWidth, const DWORD indwHeight )
{
	assert(indwWidth>=0);
	assert(indwHeight>=0);

	m_MaterialID=indwMaterialID;

	m_dwWidth=indwWidth;
	m_dwHeight=indwHeight;

	m_pNormal=0;
	m_pDisplacement=0;
	m_pRayShooting=0;
}

CSurfaceDataLayer::~CSurfaceDataLayer( void )
{
}
